using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using DataLayer;
using DataLayer.NorthwindDSTableAdapters;

namespace BusinessLayer
{
    [DataObject]
    public class SuppliersBL
    {
        private SuppliersTableAdapter adapter = new SuppliersTableAdapter();

        /// <summary>
        /// Default select method to get all suppliers
        /// </summary>
        /// <returns></returns>
        /// <remarks></remarks>
        [DataObjectMethod(DataObjectMethodType.Select, true)]
        public NorthwindDS.SuppliersDataTable GetSuppliers()
        {
            return adapter.GetData();
        }
    }
}
