using System;
using System.Collections.Generic;
using System.Text;
using System.ComponentModel;
using DataLayer;
using DataLayer.NorthwindDSTableAdapters;

namespace BusinessLayer
{
    [DataObject]
    public class CategoriesBL
    {
        private CategoriesTableAdapter adapter = new CategoriesTableAdapter();

        /// <summary>
        /// Default select method to get all categories
        /// </summary>
        /// <returns></returns>
        /// <remarks></remarks>
        [DataObjectMethod(DataObjectMethodType.Select, true)]
        public NorthwindDS.CategoriesDataTable GetCategories()
        {
            return adapter.GetData();
        }
    }
}